import React from 'react';
import './index.scss';
export interface CommonImageProps {
    fieldName: string;
    placeholder: string;
    defaultValue: any;
    isMultiple: boolean;
    isDisable: boolean;
    isConvert: boolean;
    thumbnailWidth?: any;
    thumbnailQuality?: any;
    onChange?: Function;
    onPreview?: Function;
    onRemove?: Function;
}
interface stateProps {
    childList: any;
    selectData: any;
    imgData: any;
}
declare class CommonImage extends React.Component<CommonImageProps, stateProps> {
    static displayName: string;
    constructor(props: CommonImageProps);
    onPreview(info: any): void;
    onRemove: (info: any, data: any) => Promise<void>;
    onImgChange: (info: any) => Promise<void>;
    render(): React.ReactNode;
}
export default CommonImage;
